phone.getGroupCall
Get info about a group call and its participants.
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Get info about a group call and its participants.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/phone.getGroupCall" \ -H "Content-Type: application/json" \ -d '{ "params": { "call": { "_": "inputGroupCall", "id": "string", "accessHash": "string" }, "limit": 0 } }'{ "result": { "_": "phone.groupCall", "call": { "_": "groupCallDiscarded", "id": "string", "accessHash": "string", "duration": 0 }, "participants": [ { "_": "groupCallParticipant", "muted": true, "left": true, "canSelfUnmute": true, "justJoined": true, "versioned": true, "min": true, "mutedByYou": true, "volumeByAdmin": true, "self": true, "videoJoined": true, "peer": { "_": "peerUser", "userId": 0 }, "date": 0, "activeDate": 0, "source": 0, "volume": 0, "about": "string", "raiseHandRating": "string", "video": { "_": "groupCallParticipantVideo", "paused": true, "endpoint": "string", "sourceGroups": [ { "_": "groupCallParticipantVideoSourceGroup", "semantics": "string", "sources": [ 0 ] } ], "audioSource": 0 }, "presentation": { "_": "groupCallParticipantVideo", "paused": true, "endpoint": "string", "sourceGroups": [ { "_": "groupCallParticipantVideoSourceGroup", "semantics": "string", "sources": [ 0 ] } ], "audioSource": 0 }, "paidStarsTotal": "string" } ], "participantsNextOffset": "string", "chats": [ { "_": "chatEmpty", "id": 0 } ], "users": [ { "_": "userEmpty", "id": 0 } ] }}getCallConfig
DEPRECATED: Get phone call configuration to be passed to the libtgvoip (deprecated) shared config.
getGroupCallChainBlocks
Fetch blocks from a conference call [subchain »](https://core.telegram.org/api/end-to-end/group-calls#subchains); handle the returned `RawUpdateGroupCallChainBlocks` as [specified here »](https://core.telegram.org/api/end-to-end/group-calls#handling-updates). If the number of blocks returned by any call to this method is equal to limit, this method must be re-invoked immediately after processing the returned `RawUpdateGroupCallChainBlocks`, with the newly committed offset (usually equal to the returned next_offset).